#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global		package_version 3.3.1
%global		package_name ovirt-iso-uploader

Summary:	ISO Uploader for oVirt Engine
Name:		%{package_name}
Version:	3.3.1
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.ovirt.org
Source:		http://resources.ovirt.org/releases/3.3/src/%{package_name}-%{package_version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	python
Requires:	ovirt-engine-sdk >= 3.2.0.10-1
Requires:	logrotate
BuildRequires:	gettext
BuildRequires:	python2-devel

%description
ISO Uploader tool for oVirt Engine

%prep
%setup -q -n %{package_name}-%{package_version}

%build
%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check

make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"

%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%config(noreplace) %{_sysconfdir}/ovirt-engine/isouploader.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{_sysconfdir}/ovirt-engine/isouploader.conf.d/.keep
%{python_sitelib}/ovirt_iso_uploader/*.py*
%{_bindir}/ovirt-iso-uploader
%{_bindir}/engine-iso-uploader
%{_mandir}/man8/*

%changelog
* Fri Sep 27 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 3.3.1-1
- 3.3.1-1

* Wed Sep 04 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 3.3.0-1
- 3.3.0-1

* Tue Aug 13 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 3.3.0-0.3.rc
- 3.3.0-0.3.rc

* Mon Jul 15 2013 Kiril Nesenko <knesenko@redhat.com> - 3.3.0-0.1.beta1
- 3.3.0-0.1.beta1

* Thu Feb 14 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-1
- 3.2.0-1

* Tue Feb 5 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-0.1.beta
- 3.2.0-0.1.beta

* Tue Oct 2 2012 Alon Bar-Lev <alonbl@redhat.com>
- Rewrite build

* Thu Mar 8 2012 Keith Robertson <kroberts@redhat.com> - 1.0.0-0
- Initial build
